// Dobbel byte fra Matlab MSB LSB
// MSB: 1xxxxxxx
// LSB: 0xxxxxxx

int d = 0;
int b = 0;
int ms = 0;
int ls = 0;
int msFunnet = 0;
int lsFunnet = 0;

double F = 190; // Servo refresh Hz
double T = 1 / F; // Rundetid if loop, 0.0034 sec
double offsett = -75; // servo offset

void setup()
{
  pinMode(3, OUTPUT); // servo PWM
  delay(1000);
  Serial.begin(9600);
  delay(1000);
}

void loop() // en runde tar T us eller 3.4483e+03us
{
  
  if (Serial.available() > 0)
  {
    b = Serial.read();
    if ( b & 0b10000000)
    {
      ms = b;
      msFunnet = 1;
    }
    else
    {
      ls = b;
      lsFunnet = 1;
    }
    
    if (msFunnet == 1 and lsFunnet == 1)
    {
      d = (ls & 0b01111111) + ((ms & 0b01111111) << 8) ;
      msFunnet = 0;
      lsFunnet = 0;
    }
  }

  PORTD = PORTD | B00001000; //digitalWrite(3, 1);
  delayMicroseconds(d);

  PORTD = PORTD & B11110111; //digitalWrite(3, 0);
  delayMicroseconds(1000000 * T - d);

}
